[@rxap/tree](../wiki/globals) / DefaultTreeApplyFilterMethod

# Class: DefaultTreeApplyFilterMethod\<Data\>

Defined in: [tree/src/lib/tree.data-source.ts:126](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree.data-source.ts#L126)

## Type Parameters

• **Data** *extends* `WithIdentifier` & `WithChildren` = `any`

## Implements

- `Method`\<`Node`\<`Data`\>[], [`TreeApplyFilterParameter`](../wiki/Interface.TreeApplyFilterParameter)\>

## Constructors

### new DefaultTreeApplyFilterMethod()

> **new DefaultTreeApplyFilterMethod**\<`Data`\>(): [`DefaultTreeApplyFilterMethod`](../wiki/Class.DefaultTreeApplyFilterMethod)\<`Data`\>

#### Returns

[`DefaultTreeApplyFilterMethod`](../wiki/Class.DefaultTreeApplyFilterMethod)\<`Data`\>

## Properties

### lastFilter

> `protected` **lastFilter**: `null` \| [`ISearchForm`](../wiki/Interface.ISearchForm)\<`unknown`\> = `null`

Defined in: [tree/src/lib/tree.data-source.ts:129](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree.data-source.ts#L129)

## Methods

### call()

> **call**(`__namedParameters`): `Node`\<`Data`, `any`\>[] \| `Promise`\<`Node`\<`Data`, `any`\>[]\>

Defined in: [tree/src/lib/tree.data-source.ts:131](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree.data-source.ts#L131)

#### Parameters

##### \_\_namedParameters

[`TreeApplyFilterParameter`](../wiki/Interface.TreeApplyFilterParameter)

#### Returns

`Node`\<`Data`, `any`\>[] \| `Promise`\<`Node`\<`Data`, `any`\>[]\>

#### Implementation of

`Method.call`

***

### isEqualToLastFilter()

> `protected` **isEqualToLastFilter**(`filter`): `boolean`

Defined in: [tree/src/lib/tree.data-source.ts:215](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/tree.data-source.ts#L215)

#### Parameters

##### filter

[`ISearchForm`](../wiki/Interface.ISearchForm)

#### Returns

`boolean`
